# file      : config.make
# author    : Boris Kolpackov <boris@codesynthesis.com>
# copyright : Copyright (c) 2006 Code Synthesis Tools CC
# license   : GNU GPL v2; see accompanying LICENSE file


# Expat
#
ifdef EXPAT_ROOT
EXPAT_INC ?= $(EXPAT_ROOT)/lib
EXPAT_LIB ?= $(EXPAT_ROOT)/.libs
endif


# XSD
#
ifdef XSD_ROOT
XSD ?= $(XSD_ROOT)/bin/xsd
XSD_INC ?= $(XSD_ROOT)/libxsd
endif


# Xerces-C++
#
ifdef XERCES_ROOT
XERCES_INC ?= $(XERCES_ROOT)/include
XERCES_LIB ?= $(XERCES_ROOT)/lib
endif


# Libxml2
#
ifdef LIBXML2_ROOT
LIBXML2_INC ?= $(LIBXML2_ROOT)/include
LIBXML2_LIB ?= $(LIBXML2_ROOT)/.libs
endif


# Oracle XDK
#
ifdef XDK_ROOT
XDK_INC ?= $(XDK_ROOT)/xdk/include
XDK_LIB ?= $(XDK_ROOT)/lib
endif


# C++
#
CXX ?= g++
CXXFLAGS ?= -O3


# Tests to perform
#
TESTS ?= xsd xerces libxml2 xdk
